/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.aktien.jobs.web;

import java.util.Date;

import com.gargoylesoftware.htmlunit.WebClient;

import de.frankmuenster.mahoe.messages.AbstractBankMessages;
import de.frankmuenster.mahoe.messages.MahoeMessage;
import de.frankmuenster.mahoe.web.WebSiteException;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * @author Frank Mnster
 */
public class AktienBankMessages extends AbstractBankMessages {

    /**
     * Standardkonstruktor
     *
     * @param webClient
     */
    public AktienBankMessages(final WebClient webClient) {
        super(webClient);
        Logger.info(AbstractBankMessages.NOT_IMPLEMENTED);
    }

    /**
     * @see de.frankmuenster.mahoe.messages.InterfaceBankMessages#markAsRead(de.frankmuenster.mahoe.messages.MahoeMessage)
     */
    @Override
    public void markAsRead(final MahoeMessage message) throws ApplicationException {

        Logger.info(AbstractBankMessages.NOT_IMPLEMENTED);
    }

    /**
     * @see de.frankmuenster.mahoe.messages.AbstractBankMessages#readMessages(java.util.Date)
     */
    @Override
    public void readMessages(final Date startDate) throws WebSiteException, ApplicationException {

        Logger.info(AbstractBankMessages.NOT_IMPLEMENTED);
    }
}
