
package de.frankmuenster.mahoe.pdfextractor;

import java.util.List;

/**
 * Interface f&uuml; die Liste mit PDFBuchungen.
 *
 * @author Frank Mnster
 */
public interface TransactionsCreator {

    /**
     * Fgt die Valutas hinzu
     * 
     * @param valutas
     */
    void addKaufDaten(List<PdfEintrag> valutas);

    /**
     * Fgt die Beschreibungen hinzu
     * 
     * @param describtions
     */
    void addDescriptions(List<PdfEintrag> describtions);

    /**
     * Fgt den Fremadwhrungsbetrag hinzu
     * 
     * @param fcValues
     */
    void addFcValues(List<PdfEintrag> fcValues);

    /**
     * Fgt die Fremdwhrung hinzu
     * 
     * @param foreignCurrencys
     */
    void addForeignCurrencys(List<PdfEintrag> foreignCurrencys);

    /**
     * Fgt den Kurs hinzu
     * 
     * @param exchangeRates
     */
    void addExchangeRates(List<PdfEintrag> exchangeRates);

    /**
     * Fgt den Betrag hinzu
     * 
     * @param values
     */
    void addBetraege(List<PdfEintrag> values);

    /**
     * Liefert die Liste mit den Buchungen
     * 
     * @return die Liste mit den Buchungen
     */
    List<PdfBuchung> getTansactions();

}
